<?php

namespace App\Http\Requests\User;

use Illuminate\Foundation\Http\FormRequest;

class StoreProfile extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name'              => 'string|required|min:2',
            'phone'             => 'nullable|string',
            'current_password'  => 'nullable',
            'password'          => 'nullable|min:8|confirmed',
        ];
    }

    public function messages(): array
    {
        return [
            'password' => 'Пароль должен быть не менее 8 символов!',
            'name'  => 'Имя обязательно и не менее 2 символов!',
        ];
    }
}
